Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590330 - [abrt] crash in kmplayer-0.11.2a-1.fc12: yuv444_to_yuy2_mmx: Process /usr/bin/kphononplayer was killed by signal 11 (SIGSEGV)
[abrt] crash in kmplayer-0.11.2a-1.fc12: yuv444_to_yuy2_mmx: Process /usr/bin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kmplayer (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:5d92bcb6a052f66741f0202d730...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-08 16:54 EDT by dweb98
Modified: 2010-12-03 09:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:54:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.69 KB, text/plain)
2010-05-08 16:54 EDT, dweb98
no flags Details

  None (edit)
Description dweb98 2010-05-08 16:54:26 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/kphononplayer -cb :1.233/master_0
comment: Opened a video vile from within Krusader and kmplayer crashed.
component: kmplayer
crash_function: yuv444_to_yuy2_mmx
executable: /usr/bin/kphononplayer
global_uuid: 5d92bcb6a052f66741f0202d7305370e934d5f8b
kernel: 2.6.32.11-99.fc12.i686
package: kmplayer-0.11.2a-1.fc12
rating: 4
reason: Process /usr/bin/kphononplayer was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 dweb98 2010-05-08 16:54:28 EDT
Created attachment 412574 [details]
File: backtrace
Comment 2 Orcan Ogetbil 2010-05-09 00:00:55 EDT
This sounds like a bug in the xine-lib package. My guess is, xine-lib was compiled with Intel MMX instructions on i686, and your CPU can't handle this.

What is your CPU? I thought all CPUs since Pentium 3 (maybe even Pentium 2) were capable of handling MMX. I might be wrong though.

Also how reproducible is the crash on your system?
Comment 3 dweb98 2010-05-11 03:25:43 EDT
(In reply to comment #2)
> This sounds like a bug in the xine-lib package. My guess is, xine-lib was
> compiled with Intel MMX instructions on i686, and your CPU can't handle this.
> 
> What is your CPU? I thought all CPUs since Pentium 3 (maybe even Pentium 2)
> were capable of handling MMX. I might be wrong though.
> 
> Also how reproducible is the crash on your system?    

Oh No!:O I may be in Big trouble with this Machine. I just built this one from a Brand New Bared Bones Kit. It's an AMD Athlon 64 X2 5000. I noticed a couple of weeks after I installed Fedora 12, that I had forgotten and used the wrong CD for my install. All my other machines are Intel's and I just popped in the Fedora 12 i686 CD and did the install with it. Then a couple of weeks later, I saw my Fedora 12 x86-64 CD. I thought Oh No! What have I done. But, then I thought... well it's running great, no warnings during the install either, so maybe the i686 CD supports AMD's too. Guess not though... I thought there would be big problems on a machine with the wrong Architecture installed on it. I did this one time before and installed Fedora 12 i686 on a an i586 and that thing is all messed up and buggy. Everything crashes in it. So, I plan on re-installing it with the i386 CD later. So, now I'm wondering... hoping. Since I have been building up the Apps and setting up the Printer Scanner Fax for about a Month now and I am almost done. Could I use a Kernel Upgrade install to change to the AMD Architecture on this new Box? Or will I have to completely start over from scratch?

Thanks,

Don
Comment 4 dweb98 2010-05-16 15:57:59 EDT
Well, I realized today, 05-16-10. That the Fedora 12 x86_64 CD is really the 64bit OS. Not the AMD 64 version!:) So, this install should be just fine. Good think I didn't reformat this drive, it's still here!:) The 64bit Fedora 12 works great, but I can't get Flash to work in Firefox, after 2 days of research and trying the Beta Flash 10!:O My Brother Scanner doesn't show up and wont work right now. Even after installing all the Brother Printer Scanner Fax apps. But the Printer works great. The fax wont work from the PC though. Haven't tried in directly from the buttons yet. So, I'll deal with KMplayer, working or not in this is the Install to use.

Don
Comment 5 Bug Zapper 2010-11-03 11:17:49 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 09:54:49 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.